Bug 53233 - Internal error: proxy: error reading status line from remote server
Summary: Internal error: proxy: error reading status line from remote server
Status: RESOLVED LATER
Alias: None
Product: Apache httpd-2
Classification: Unclassified
Component: mod_proxy (show other bugs)
Version: 2.2.19
Hardware: PC All
: P1 major with 1 vote (vote)
Target Milestone: ---
Assignee: Apache HTTPD Bugs Mailing List
URL:
Keywords: MassUpdate
Depends on:
Blocks:
 
Reported: 2012-05-15 13:31 UTC by Prakash
Modified: 2018-11-07 21:09 UTC (History)
2 users (show)



Attachments
Error (413 bytes, text/plain)
2012-05-15 13:31 UTC, Prakash
Details
Server Architecture (30.84 KB, image/jpeg)
2012-08-07 13:02 UTC, Prakash
Details
httpd of Apache 2.2 (18.37 KB, application/octet-stream)
2012-08-07 13:03 UTC, Prakash
Details
Access lof with Failures and Errors (580 bytes, application/octet-stream)
2012-08-07 13:04 UTC, Prakash
Details
Error Descriptions (956 bytes, application/octet-stream)
2012-08-07 13:04 UTC, Prakash
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Prakash 2012-05-15 13:31:18 UTC
Created attachment 28781 [details]
Error

I'm Using Apache 2.2.16 and Tomcat 7.0.16. I have 3 Tomcat instance which executes 3 war files. To bypass the proxy I have configured httpd with 3 workers.

3 Tomcat instances are running in 8080, 8090, 8099.

Intermittently I was getting 502 Proxy Error in 8090 and 8099 for all the POST operations. So I have set the below variables in the httpd.conf

SetEnv force-proxy-request-1.0 1
SetEnv proxy-nokeepalive 1

After setting this configuration gradually the error rate got decreased but still we are facing some issues. 

When the request comes with HTTP/1.0 its working fine but when request comes in HTTP/1.1 I am getting 502 Proxy Error at some times.

Please help me in resolving this issue.


Thanks,
Prakash S
Comment 1 Prakash 2012-05-15 13:43:44 UTC
 - - [14/May/2012:13:43:30 +0300] "POST *** HTTP/1.0" 200 9324
 - - [14/May/2012:13:43:36 +0300] "POST *** HTTP/1.0" 200 4572
 - - [14/May/2012:13:43:49 +0300] "POST *** HTTP/1.1" 502 422
 - - [14/May/2012:13:43:53 +0300] "POST *** HTTP/1.1" 200 1229
Comment 2 Eric Covener 2012-08-07 10:43:59 UTC
need error logs and packet captures of both sides of the connection to do anything on this.
Comment 3 Prakash 2012-08-07 13:02:39 UTC
Created attachment 29179 [details]
Server Architecture

Apache and Tomcat instances setup
Comment 4 Prakash 2012-08-07 13:03:23 UTC
Created attachment 29180 [details]
httpd of Apache 2.2

Configuration made in Apache
Comment 5 Prakash 2012-08-07 13:04:23 UTC
Created attachment 29181 [details]
Access lof with Failures and Errors

Access lof with Failures and Errors
Comment 6 Prakash 2012-08-07 13:04:48 UTC
Created attachment 29182 [details]
Error Descriptions

Error log for the failures
Comment 7 Prakash 2012-08-07 13:06:03 UTC
I think now you could find out the issue clearly. if you need more details please get back to me.

Waiting for your resolution
Comment 8 Eric Covener 2012-08-07 13:07:37 UTC
how about loglevel debug and packet captures?
Comment 9 Prakash 2012-08-07 13:13:44 UTC
I didn't get your question clearly. could you tell me how to capture the packets 

or should I change the loglevel to debug and capture the Packets?
Comment 10 Prakash 2012-08-07 13:17:36 UTC
Hi,

I couldn't get your question, do I need to change the loglevel to debug and collect the packets?

can you please explain me.


Thanks,
Prakash S
Comment 11 William A. Rowe Jr. 2018-11-07 21:09:23 UTC
Please help us to refine our list of open and current defects; this is a mass update of old and inactive Bugzilla reports which reflect user error, already resolved defects, and still-existing defects in httpd.

As repeatedly announced, the Apache HTTP Server Project has discontinued all development and patch review of the 2.2.x series of releases. The final release 2.2.34 was published in July 2017, and no further evaluation of bug reports or security risks will be considered or published for 2.2.x releases. All reports older than 2.4.x have been updated to status RESOLVED/LATER; no further action is expected unless the report still applies to a current version of httpd.

If your report represented a question or confusion about how to use an httpd feature, an unexpected server behavior, problems building or installing httpd, or working with an external component (a third party module, browser etc.) we ask you to start by bringing your question to the User Support and Discussion mailing list, see [https://httpd.apache.org/lists.html#http-users] for details. Include a link to this Bugzilla report for completeness with your question.

If your report was clearly a defect in httpd or a feature request, we ask that you retest using a modern httpd release (2.4.33 or later) released in the past year. If it can be reproduced, please reopen this bug and change the Version field above to the httpd version you have reconfirmed with.

Your help in identifying defects or enhancements still applicable to the current httpd server software release is greatly appreciated.